lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kagetsu/version'

Gem::Specification.new do |spec|
  spec.name          = 'kagetsu'
  spec.version       = Kagetsu::VERSION
  spec.authors       = ['taki']
  spec.summary       = 'Implement ActiveRecord::Base#create_or_update'
  spec.description   = 'Protect your record easily'
  spec.homepage      = 'http://github.com/taki/kagetsu'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'activerecord', '~> 5.2'
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'food_formatter'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'sqlite3'
end
